{
  "name": "@push.rocks/smartarchive",
  "version": "3.0.6",
  "description": "work with archives",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "type": "module",
  "scripts": {
    "test": "(tstest test/ --web)",
    "build": "tsbuild  --web --allowimplicitany"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/pushrocks/smartarchive.git"
  },
  "author": "Lossless GmbH",
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/pushrocks/smartarchive/issues"
  },
  "homepage": "https://github.com/pushrocks/smartarchive#readme",
  "dependencies": {
    "@pushrocks/smartfile": "^10.0.1",
    "@pushrocks/smartpath": "^5.0.5",
    "@pushrocks/smartpromise": "^3.1.7",
    "@pushrocks/smartrequest": "^1.1.56",
    "@pushrocks/smartrx": "^2.0.25",
    "@pushrocks/smartstream": "^2.0.2",
    "@pushrocks/smartunique": "^3.0.3",
    "@types/gunzip-maybe": "^1.4.0",
    "@types/tar-stream": "^2.2.2",
    "gunzip-maybe": "^1.4.2",
    "tar": "^6.1.11",
    "tar-stream": "^2.2.0"
  },
  "devDependencies": {
    "@gitzone/tsbuild": "^2.1.63",
    "@gitzone/tstest": "^1.0.71",
    "@pushrocks/tapbundle": "^5.0.3",
    "tslint": "^6.1.3",
    "tslint-config-prettier": "^1.18.0"
  },
  "private": false,
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ]
}